org.apache.felix.scr.annotations.sling

## Enum SlingFilterScope

- java.lang.Object
- - java.lang.Enum<SlingFilterScope>
  - - org.apache.felix.scr.annotations.sling.SlingFilterScope

All Implemented Interfaces:
  Serializable, Comparable<SlingFilterScope>

    public enum SlingFilterScope
    extends Enum<SlingFilterScope>

The possible scopes for the `SlingFilter.scope()` annotation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPONENT`
`ERROR`
`FORWARD`
`INCLUDE`
`REQUEST`

### Method Summary

Methods
`String` `getScope()`
`String` `toString()`
`static SlingFilterScope` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SlingFilterScope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REQUEST

    public static final SlingFilterScope REQUEST

#### COMPONENT

    public static final SlingFilterScope COMPONENT

#### ERROR

    public static final SlingFilterScope ERROR

#### INCLUDE

    public static final SlingFilterScope INCLUDE

#### FORWARD

    public static final SlingFilterScope FORWARD

### Method Detail

#### values

    public static SlingFilterScope[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SlingFilterScope c : SlingFilterScope.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SlingFilterScope valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getScope

    public String getScope()

Returns:
  String representation of the scope

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<SlingFilterScope>`